Loading...
Searching...
No Matches
Halide::Internal::Closure::Buffer Struct Reference

Information about a buffer reference from a closure. More...

`#include <Closure.h>`

## Public Member Functions

| Buffer ()=default

## Public Attributes

Type | type
| The type of the buffer referenced.
uint8_t | dimensions = 0
| The dimensionality of the buffer.
bool | read = false
| The buffer is read from.
bool | write = false
| The buffer is written to.
MemoryType | memory_type = MemoryType::Auto
| The buffer is a texture.
size_t | size = 0
| The size of the buffer if known, otherwise zero.

## Detailed Description

Information about a buffer reference from a closure.

Definition at line 43 of file Closure.h.

## Constructor & Destructor Documentation

## Buffer()

Halide::Internal::Closure::Buffer::Buffer | ( |  | ) |

default

## Member Data Documentation

## type

Type Halide::Internal::Closure::Buffer::type

The type of the buffer referenced.

Definition at line 45 of file Closure.h.

## dimensions

uint8_t Halide::Internal::Closure::Buffer::dimensions = 0

The dimensionality of the buffer.

Definition at line 48 of file Closure.h.

## read

bool Halide::Internal::Closure::Buffer::read = false

The buffer is read from.

Definition at line 51 of file Closure.h.

## write

bool Halide::Internal::Closure::Buffer::write = false

The buffer is written to.

Definition at line 54 of file Closure.h.

## memory_type

MemoryType Halide::Internal::Closure::Buffer::memory_type = MemoryType::Auto

The buffer is a texture.

Definition at line 57 of file Closure.h.

## size

size_t Halide::Internal::Closure::Buffer::size = 0

The size of the buffer if known, otherwise zero.

Definition at line 60 of file Closure.h.

The documentation for this struct was generated from the following file:

- src/Closure.h